Generic Security Service API Version 2: Java Bindings Update
RFC 5653
Revision differences
Document history
| Date | By | Action |
|---|---|---|
|
2026-05-20
|
(System) | Changed metadata: changed keywords to '['gssapi', 'application program interface', 'gss-api', 'GSI']' from '[]' |
|
2026-05-20
|
(System) | Metadata update from RFC Editor |
|
2026-05-20
|
(System) | Changed author "S. Malkani": changed name from "Seema Malkani" to "S. Malkani", changed affiliation from "ActivIdentity" to "ActivIdentity Corp.", cleared country (was "USA"), changed order … Changed author "S. Malkani": changed name from "Seema Malkani" to "S. Malkani", changed affiliation from "ActivIdentity" to "ActivIdentity Corp.", cleared country (was "USA"), changed order from "0" to "2" |
|
2026-05-20
|
(System) | Changed author "M. Upadhyay": changed name from "Mayank Upadhyay" to "M. Upadhyay", cleared country (was "USA") |
|
2026-05-20
|
(System) | Metadata update from RFC Editor |
|
2018-12-20
|
(System) | Received changes through RFC Editor sync (changed abstract to 'The Generic Security Services Application Program Interface (GSS-API) offers application programmers uniform access to security services … Received changes through RFC Editor sync (changed abstract to 'The Generic Security Services Application Program Interface (GSS-API) offers application programmers uniform access to security services atop a variety of underlying cryptographic mechanisms. This document updates the Java bindings for the GSS-API that are specified in "Generic Security Service API Version 2 : Java Bindings" (RFC 2853). This document obsoletes RFC 2853 by making specific and incremental clarifications and corrections to it in response to identification of transcription errors and implementation experience. The GSS-API is described at a language-independent conceptual level in "Generic Security Service Application Program Interface Version 2, Update 1" (RFC 2743). The GSS-API allows a caller application to authenticate a principal identity, to delegate rights to a peer, and to apply security services such as confidentiality and integrity on a per-message basis. Examples of security mechanisms defined for GSS-API are "The Simple Public-Key GSS-API Mechanism" (RFC 2025) and "The Kerberos Version 5 Generic Security Service Application Program Interface (GSS-API) Mechanism: Version 2" (RFC 4121). [STANDARDS-TRACK]') |
|
2015-10-14
|
(System) | Notify list changed from kitten-chairs@ietf.org, draft-ietf-kitten-rfc2853bis@ietf.org, seema.malkani@gmail.com to (None) |
|
2009-08-12
|
Cindy Morgan | State Changes to RFC Published from RFC Ed Queue by Cindy Morgan |
|
2009-08-12
|
Cindy Morgan | [Note]: 'RFC 5653' added by Cindy Morgan |
|
2009-08-11
|
(System) | RFC published |